
uniform sampler2D Texture0;

uniform float theNrPasses;
uniform float theBlurSize;

void main(void)
{
   vec3 theTotal = vec3( 0.0, 0.0, 0.0);
   
   for (float i = -theNrPasses/2; i <= theNrPasses -(theNrPasses/2) ; i++)
       theTotal += (texture2D( Texture0, gl_TexCoord[0] + vec2( i * theBlurSize/100.0, 0.0) ).rgb );

   gl_FragColor =  vec4( theTotal / theNrPasses, 1);

}
